Subscriptions
Resume a Subscription
Retoma uma subscription pausada.
curl -X POST "https://api.chargefy.io/v1/subscriptions/sub_123/resume" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "sub_123",
"object": "subscription",
"billing_cycle_anchor": "2026-05-20T18:00:00Z",
"billing_mode": {
"type": "classic"
},
"cancel_at": null,
"cancel_at_period_end": false,
"canceled_at": null,
"cancellation_details": {
"comment": null,
"feedback": null,
"reason": null
},
"collection_method": "charge_automatically",
"created_at": "2026-05-19T18:00:00Z",
"currency": "brl",
"current_period_end": "2026-06-20T18:00:00Z",
"current_period_start": "2026-05-20T18:00:00Z",
"customer": "cus_123",
"days_until_due": null,
"default_payment_method": "pm_123",
"discount": null,
"ended_at": null,
"items": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-items?subscription=sub_123"
},
"latest_invoice": "inv_123",
"livemode": true,
"metadata": {},
"next_billing_at": "2026-06-20T18:00:00Z",
"pause_collection": null,
"payment_settings": {},
"pending_setup_intent": null,
"pending_update": null,
"resumed_at": "2026-05-20T18:00:00Z",
"schedule": null,
"schedule_phase_index": null,
"start_date": "2026-05-19T18:00:00Z",
"status": "active",
"trial_end": null,
"trial_settings": {
"end_behavior": {
"missing_payment_method": "create_invoice"
}
},
"trial_start": null,
"updated_at": "2026-05-20T18:00:00Z"
}
Retoma uma
subscription em status: "paused". A resposta retorna a
subscription completa atualizada.
ID da subscription (
sub_*).Payment method usado para próximas cobranças. Se omitido, a subscription deve
já ter
default_payment_method.unchanged mantém o ciclo atual. now reinicia o ciclo no momento da retomada.
Padrão: unchanged.curl -X POST "https://api.chargefy.io/v1/subscriptions/sub_123/resume" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "sub_123",
"object": "subscription",
"billing_cycle_anchor": "2026-05-20T18:00:00Z",
"billing_mode": {
"type": "classic"
},
"cancel_at": null,
"cancel_at_period_end": false,
"canceled_at": null,
"cancellation_details": {
"comment": null,
"feedback": null,
"reason": null
},
"collection_method": "charge_automatically",
"created_at": "2026-05-19T18:00:00Z",
"currency": "brl",
"current_period_end": "2026-06-20T18:00:00Z",
"current_period_start": "2026-05-20T18:00:00Z",
"customer": "cus_123",
"days_until_due": null,
"default_payment_method": "pm_123",
"discount": null,
"ended_at": null,
"items": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-items?subscription=sub_123"
},
"latest_invoice": "inv_123",
"livemode": true,
"metadata": {},
"next_billing_at": "2026-06-20T18:00:00Z",
"pause_collection": null,
"payment_settings": {},
"pending_setup_intent": null,
"pending_update": null,
"resumed_at": "2026-05-20T18:00:00Z",
"schedule": null,
"schedule_phase_index": null,
"start_date": "2026-05-19T18:00:00Z",
"status": "active",
"trial_end": null,
"trial_settings": {
"end_behavior": {
"missing_payment_method": "create_invoice"
}
},
"trial_start": null,
"updated_at": "2026-05-20T18:00:00Z"
}
⌘I
curl -X POST "https://api.chargefy.io/v1/subscriptions/sub_123/resume" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "sub_123",
"object": "subscription",
"billing_cycle_anchor": "2026-05-20T18:00:00Z",
"billing_mode": {
"type": "classic"
},
"cancel_at": null,
"cancel_at_period_end": false,
"canceled_at": null,
"cancellation_details": {
"comment": null,
"feedback": null,
"reason": null
},
"collection_method": "charge_automatically",
"created_at": "2026-05-19T18:00:00Z",
"currency": "brl",
"current_period_end": "2026-06-20T18:00:00Z",
"current_period_start": "2026-05-20T18:00:00Z",
"customer": "cus_123",
"days_until_due": null,
"default_payment_method": "pm_123",
"discount": null,
"ended_at": null,
"items": {
"object": "list",
"data": [],
"has_more": false,
"url": "/v1/subscription-items?subscription=sub_123"
},
"latest_invoice": "inv_123",
"livemode": true,
"metadata": {},
"next_billing_at": "2026-06-20T18:00:00Z",
"pause_collection": null,
"payment_settings": {},
"pending_setup_intent": null,
"pending_update": null,
"resumed_at": "2026-05-20T18:00:00Z",
"schedule": null,
"schedule_phase_index": null,
"start_date": "2026-05-19T18:00:00Z",
"status": "active",
"trial_end": null,
"trial_settings": {
"end_behavior": {
"missing_payment_method": "create_invoice"
}
},
"trial_start": null,
"updated_at": "2026-05-20T18:00:00Z"
}

